/*
 * Copyright (C) 2003-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
 
var lastCal;

netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
	
/*
 * Initilize the dialog content
 */
function initCalendarDetails() {
    
    var fnblConfig = Components.classes["@mozilla.org/funambol/config;1"].getService(Components.interfaces.fnblConfig);
	document.getElementById("eventUri").value = fnblConfig.eventUri;
	document.getElementById("taskUri").value = fnblConfig.taskUri;	
	
	var list = document.getElementById("calList");
	var calendarFolder = fnblConfig.calendarFolder;
	
	// Remember the calendar folder set
	lastCal = calendarFolder;
	
	var calendarManager = Components.classes["@mozilla.org/calendar/manager;1"].getService(Components.interfaces.calICalendarManager);
    var calendars = calendarManager.getCalendars({});
	var i = 0;
	
	for each(var calendar in calendars) {	
		list.appendItem(calendar.name, calendar.uri.spec);
		if(calendar.uri.spec == calendarFolder)
			list.selectedIndex = i;	
		i = i + 1;
    }	
}

/*
 * Called when the Ok button was pressed
 */
function saveCalendarDetails() {
    var fnblConfig = Components.classes["@mozilla.org/funambol/config;1"].getService(Components.interfaces.fnblConfig);
	fnblConfig.eventUri = document.getElementById("eventUri").value;
	fnblConfig.taskUri = document.getElementById("taskUri").value;
	if(document.getElementById("calList").selectedItem.value) {
		if(lastCal!=document.getElementById("calList").selectedItem.value)
			fnblConfig.calendarFolder = document.getElementById("calList").selectedItem.value;
	}
	fnblConfig.save();	
}